Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -13348,5 +26420,9 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'iods'   InitialObjectDescriptor?             N
+  'cmov'   CompressedMovie                      QuickTime CMovie
+  'gps '   GPSDataList?                         no
+  'htka'   HTCTrack                             QuickTime Track
+  'iods'   InitialObjectDescriptor?             no
+  'meco'   OtherMeta                            QuickTime OtherMeta
   'meta'   Meta                                 QuickTime Meta
   'mvhd'   MovieHeader                          QuickTime MovieHeader
@@ -13354,188 +26430,27 @@
   'udta'   UserData                             QuickTime UserData
   'uuid'   UUID-USMT                            QuickTime UserMedia
-           UUID-Unknown?                        N
-
-=head3 QuickTime Meta Tags
+           UUID-Canon                           Canon uuid
+           UUID-Unknown?                        no
+
+=head3 QuickTime CMovie Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'bxml'   BinaryXML?                           N
-  'dinf'   DataInformation?                     N
-  'free'   Free?                                N
-  'hdlr'   Handler                              QuickTime Handler
-  'iinf'   ItemInformation?                     N
-  'iloc'   ItemLocation?                        N
-  'ilst'   ItemList                             QuickTime ItemList
-  'ipmc'   IPMPControl?                         N
-  'ipro'   ItemProtection?                      N
-  'keys'   Keys                                 QuickTime Keys
-  'pitm'   PrimaryItemReference?                N
-  'xml '   XML                                  XMP
-
-=head3 QuickTime Handler Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    HandlerClass                         N
-      8    HandlerType                          N
-     12    HandlerVendorID                      N
-     24    HandlerDescription                   N
-
-=head3 QuickTime ItemList Tags
-
-As well as these tags, the 'mdta' handler uses numerical tag ID's which are
-added dynamically to this table after processing the Meta Keys information.
-
-  Tag ID       Tag Name                         Writable
-  ------       --------                         --------
-  '----'       iTunesInfo                       QuickTime iTunesInfo
-  'aART'       AlbumArtist                      N
-  'akID'       AppleStoreAccountType            N
-  'albm'       Album                            N
-  'apID'       AppleStoreAccount                N
-  'atID'       AlbumTitleID                     N
-  'auth'       Author                           N
-  'catg'       Category                         N
-  'cnID'       AppleStoreCatalogID              N
-  'covr'       CoverArt                         N
-  'cpil'       Compilation                      N
-  'cprt'       Copyright                        N
-  'desc'       Description                      N
-  'disk'       DiskNumber                       N
-  'dscp'       Description                      N
-  'egid'       EpisodeGlobalUniqueID            N
-  'geID'       GenreID                          N
-  'gnre'       Genre                            N
-  'grup'       Grouping                         N
-  'hdvd'       HDVideo                          N
-  'keyw'       Keyword                          N
-  'ldes'       LongDescription                  N
-  'pcst'       Podcast                          N
-  'perf'       Performer                        N
-  'pgap'       PlayGap                          N
-  'plID'       PlayListID                       N
-  'purd'       PurchaseDate                     N
-  'purl'       PodcastURL                       N
-  'rtng'       Rating                           N
-  'sfID'       AppleStoreCountry                N
-  'soaa'       SortAlbumArtist                  N
-  'soal'       SortAlbum                        N
-  'soar'       SortArtist                       N
-  'soco'       SortComposer                     N
-  'sonm'       SortName                         N
-  'sosn'       SortShow                         N
-  'stik'       MediaType                        N
-  'titl'       Title                            N
-  'tmpo'       BeatsPerMinute                   N
-  'trkn'       TrackNumber                      N
-  'tven'       TVEpisodeID                      N
-  'tves'       TVEpisode                        N
-  'tvnn'       TVNetworkName                    N
-  'tvsh'       TVShow                           N
-  'tvsn'       TVSeason                         N
-  'yrrc'       Year                             N
-  "\xa9ART"    Artist                           N
-  "\xa9alb"    Album                            N
-  "\xa9cmt"    Comment                          N
-  "\xa9com"    Composer                         N
-  "\xa9day"    Year                             N
-  "\xa9des"    Description                      N
-  "\xa9enc"    EncodedBy                        N
-  "\xa9gen"    Genre                            N
-  "\xa9grp"    Grouping                         N
-  "\xa9lyr"    Lyrics                           N
-  "\xa9nam"    Title                            N
-  "\xa9too"    Encoder                          N
-  "\xa9trk"    Track                            N
-  "\xa9wrt"    Composer                         N
-
-=head3 QuickTime iTunesInfo Tags
+  'dcom'   Compression                          no
+
+=head3 QuickTime Track Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'data'   Data?                                N
-  'mean'   Mean?                                N
-  'name'   Name?                                N
-
-=head3 QuickTime Keys Tags
-
-This directory contains a list of key names which are used to decode
-ItemList tags written by the "mdta" handler.  The prefix of
-"com.apple.quicktime." has been removed from all TagID's below.
-
-  Tag ID                       Tag Name         Writable
-  ------                       --------         --------
-  'album'                      Album            N
-  'artist'                     Artist           N
-  'artwork'                    Artwork          N
-  'author'                     Author           N
-  'camera.framereadouttimeinmicroseconds'
-                               FrameReadoutTime N
-  'camera.identifier'          CameraIdentifier N
-  'comment'                    Comment          N
-  'copyright'                  Copyright        N
-  'creationdate'               CreationDate     N
-  'description'                Description      N
-  'direction.facing'           CameraDirection  N
-  'direction.motion'           CameraMotion     N
-  'director'                   Director         N
-  'genre'                      Genre            N
-  'information'                Information      N
-  'keywords'                   Keywords         N
-  'location.ISO6709'           GPSCoordinates   N
-  'location.body'              LocationBody     N
-  'location.date'              LocationDate     N
-  'location.name'              LocationName     N
-  'location.note'              LocationNote     N
-  'location.role'              LocationRole     N
-  'make'                       Make             N
-  'model'                      Model            N
-  'player.movie.audio.balance' Balance          N
-  'player.movie.audio.bass'    Bass             N
-  'player.movie.audio.gain'    AudioGain        N
-  'player.movie.audio.mute'    Mute             N
-  'player.movie.audio.pitchshift' PitchShift    N
-  'player.movie.audio.treble'  Trebel           N
-  'player.movie.visual.brightness' Brightness   N
-  'player.movie.visual.color'  Color            N
-  'player.movie.visual.contrast' Contrast       N
-  'player.movie.visual.tint'   Tint             N
-  'player.version'             PlayerVersion    N
-  'publisher'                  Publisher        N
-  'software'                   Software         N
-  'version'                    Version          N
-  'year'                       Year             N
-
-=head3 QuickTime MovieHeader Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MovieHeaderVersion                   N
-      1    CreateDate                           N
-      2    ModifyDate                           N
-      3    TimeScale                            N
-      4    Duration                             N
-      5    PreferredRate                        N
-      6    PreferredVolume                      N
-      9    MatrixStructure                      N
-     18    PreviewTime                          N
-     19    PreviewDuration                      N
-     20    PosterTime                           N
-     21    SelectionTime                        N
-     22    SelectionDuration                    N
-     23    CurrentTime                          N
-     24    NextTrackID                          N
-
-=head3 QuickTime Track Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
   'mdia'   Media                                QuickTime Media
+  'meco'   OtherMeta                            QuickTime OtherMeta
   'meta'   Meta                                 QuickTime Meta
+  'tapt'   TrackAperture                        QuickTime TrackAperture
   'tkhd'   TrackHeader                          QuickTime TrackHeader
   'tref'   TrackRef                             QuickTime TrackRef
   'udta'   UserData                             QuickTime UserData
   'uuid'   UUID-USMT                            QuickTime UserMedia
-           UUID-Unknown?                        N
+           SphericalVideoXML                    XMP
+           UUID-Unknown?                        no
 
 =head3 QuickTime Media Tags
@@ -13551,12 +26466,12 @@
 =head3 QuickTime MediaHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MediaHeaderVersion                   N
-      1    MediaCreateDate                      N
-      2    MediaModifyDate                      N
-      3    MediaTimeScale                       N
-      4    MediaDuration                        N
-      5    MediaLanguageCode                    N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    MediaHeaderVersion                   no
+      1    MediaCreateDate                      int32u
+      2    MediaModifyDate                      int32u
+      3    MediaTimeScale                       no
+      4    MediaDuration                        no
+      5    MediaLanguageCode                    no
 
 =head3 QuickTime MediaInfo Tags
@@ -13570,115 +26485,287 @@
   'hdlr'   Handler                              QuickTime Handler
   'hmhd'   HintHeader                           QuickTime HintHeader
-  'nmhd'   NullMediaHeader?                     N
+  'nmhd'   NullMediaHeader?                     no
   'smhd'   AudioHeader                          QuickTime AudioHeader
   'stbl'   SampleTable                          QuickTime SampleTable
   'vmhd'   VideoHeader                          QuickTime VideoHeader
 
-=head3 QuickTime DataInfo Tags
-
-MP4 data information box.
+=head3 QuickTime GenMediaHeader Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'dref'   DataRef                              QuickTime DataRef
-
-=head3 QuickTime DataRef Tags
-
-MP4 data reference box.
+  'gmin'   GenMediaInfo                         QuickTime GenMediaInfo
+  'text'   Text?                                no
+  'tmcd'   TimeCode                             QuickTime TimeCode
+
+=head3 QuickTime GenMediaInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    GenMediaVersion                      no
+      1    GenFlags                             no
+      4    GenGraphicsMode                      no
+      6    GenOpColor                           no
+     12    GenBalance                           no
+
+=head3 QuickTime TimeCode Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'url '   URL                                  N
-  'urn '   URN                                  N
-
-=head3 QuickTime GenMediaHeader Tags
+  'tcmi'   TCMediaInfo                          QuickTime TCMediaInfo
+
+=head3 QuickTime TCMediaInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    TextFont                             no
+      6    TextFace                             no
+      8    TextSize                             no
+     12    TextColor                            no
+     18    BackgroundColor                      no
+     24    FontName                             no
+
+=head3 QuickTime HintHeader Tags
+
+MP4 hint media header.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      2    MaxPDUSize                           no
+      3    AvgPDUSize                           no
+      4    MaxBitrate                           no
+      6    AvgBitrate                           no
+
+=head3 QuickTime AudioHeader Tags
+
+MP4 audio media header.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      2    Balance                              no
+
+=head3 QuickTime SampleTable Tags
+
+MP4 sample table box.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'gmin'   GenMediaInfo                         QuickTime GenMediaInfo
-  'text'   Text?                                N
-
-=head3 QuickTime GenMediaInfo Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    GenMediaVersion                      N
-      1    GenFlags                             N
-      4    GenGraphicsMode                      N
-      6    GenOpColor                           N
-     12    GenBalance                           N
-
-=head3 QuickTime HintHeader Tags
-
-MP4 hint media header.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    MaxPDUSize                           N
-      3    AvgPDUSize                           N
-      4    MaxBitrate                           N
-      6    AvgBitrate                           N
-
-=head3 QuickTime AudioHeader Tags
-
-MP4 audio media header.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    Balance                              N
-
-=head3 QuickTime SampleTable Tags
-
-MP4 sample table box.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'co64'   ChunkOffset64?                       N
-  'cslg'   CompositionToDecodeTimelineMapping?  N
-  'ctts'   CompositionTimeToSample?             N
-  'padb'   SamplePaddingBits?                   N
-  'sbgp'   SampleToGroup?                       N
-  'sdtp'   IdependentAndDisposableSamples?      N
-  'sgpd'   SampleGroupDescription?              N
-  'stco'   ChunkOffset?                         N
-  'stdp'   SampleDegradationPriority?           N
-  'stsc'   SampleToChunk?                       N
+  'co64'   ChunkOffset64?                       no
+  'cslg'   CompositionToDecodeTimelineMapping?  no
+  'ctts'   CompositionTimeToSample?             no
+  'padb'   SamplePaddingBits?                   no
+  'sbgp'   SampleToGroup?                       no
+  'sdtp'   IdependentAndDisposableSamples?      no
+  'sgpd'   SampleGroupDescription?              no
+  'stco'   ChunkOffset?                         no
+  'stdp'   SampleDegradationPriority?           no
+  'stps'   PartialSyncSamples                   no
+  'stsc'   SampleToChunk?                       no
   'stsd'   AudioSampleDesc                      QuickTime AudioSampleDesc
            VideoSampleDesc                      QuickTime ImageDesc
            HintSampleDesc                       QuickTime HintSampleDesc
+           MetaSampleDesc                       QuickTime MetaSampleDesc
            OtherSampleDesc                      QuickTime OtherSampleDesc
-  'stsh'   ShadowSyncSampleTable?               N
-  'stss'   SyncSampleTable?                     N
-  'stsz'   SampleSizes?                         N
-  'stts'   VideoFrameRate                       N
-           TimeToSampleTable?                   N
-  'stz2'   CompactSampleSizes?                  N
-  'subs'   Sub-sampleInformation?               N
+  'stsh'   ShadowSyncSampleTable?               no
+  'stss'   SyncSampleTable?                     no
+  'stsz'   SampleSizes?                         no
+  'stts'   VideoFrameRate                       no
+           TimeToSampleTable?                   no
+  'stz2'   CompactSampleSizes?                  no
+  'subs'   Sub-sampleInformation?               no
 
 =head3 QuickTime AudioSampleDesc Tags
 
-MP4 audio sample description.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    AudioFormat                          N
-     10    AudioVendorID                        N
-     12    AudioChannels                        N
-     13    AudioBitsPerSample                   N
-     16    AudioSampleRate                      N
-     28    AudioFormat                          N
+MP4 audio sample description.  This hybrid atom contains both data and child
+atoms.
+
+  ID/Index Tag Name                             Writable
+  -------- --------                             --------
+      4    AudioFormat                          no
+     20    AudioVendorID                        no
+     24    AudioChannels                        no
+     26    AudioBitsPerSample                   no
+     32    AudioSampleRate                      no
+  'chan'   AudioChannelLayout                   QuickTime ChannelLayout
+  'damr'   DecodeConfig                         QuickTime DecodeConfig
+  'pinf'   PurchaseInfo                         QuickTime ProtectionInfo
+  'sinf'   ProtectionInfo                       QuickTime ProtectionInfo
+  'wave'   Wave                                 QuickTime Wave
+
+=head3 QuickTime ChannelLayout Tags
+
+Audio channel layout.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    LayoutFlags                          no
+      6    AudioChannels                        no
+      8    AudioChannelTypes                    no
+     12    NumChannelDescriptions               no
+     16    Channel1Label                        no
+     20    Channel1Flags                        no
+     24    Channel1Coordinates                  no
+     36    Channel2Label                        no
+     40    Channel2Flags                        no
+     44    Channel2Coordinates                  no
+     56    Channel3Label                        no
+     60    Channel3Flags                        no
+     64    Channel3Coordinates                  no
+     76    Channel4Label                        no
+     80    Channel4Flags                        no
+     84    Channel4Coordinates                  no
+     96    Channel5Label                        no
+    100    Channel5Flags                        no
+    104    Channel5Coordinates                  no
+    116    Channel6Label                        no
+    120    Channel6Flags                        no
+    124    Channel6Coordinates                  no
+    136    Channel7Label                        no
+    140    Channel7Flags                        no
+    144    Channel7Coordinates                  no
+    156    Channel8Label                        no
+    160    Channel8Flags                        no
+    164    Channel8Coordinates                  no
+
+=head3 QuickTime DecodeConfig Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    EncoderVendor                        no
+      4    EncoderVersion                       no
+
+=head3 QuickTime ProtectionInfo Tags
+
+Child atoms found in "sinf" and/or "pinf" atoms.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'enda'   Endianness                           no
+  'frma'   OriginalFormat                       no
+  'schi'   SchemeInfo                           QuickTime SchemeInfo
+  'schm'   SchemeType                           QuickTime SchemeType
+
+=head3 QuickTime SchemeInfo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'cert'   Certificate                          no
+  'iviv'   InitializationVector                 no
+  'key '   KeyID                                no
+  'name'   UserName                             no
+  'righ'   Rights                               QuickTime Rights
+  'user'   UserID                               no
+
+=head3 QuickTime Rights Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'aver'   VersionRestrictions                  no
+  'medi'   MediaFlags                           no
+  'mode'   ModeFlags                            no
+  'plat'   Platform                             no
+  'song'   ItemID                               no
+  'tool'   ItemTool                             no
+  'tran'   TransactionID                        no
+  'veID'   ItemVendorID                         no
+
+=head3 QuickTime SchemeType Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    SchemeType                           no
+      8    SchemeVersion                        no
+     10    SchemeURL                            no
+
+=head3 QuickTime Wave Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'enda'   Endianness                           no
+  'frma'   PurchaseFileFormat                   no
 
 =head3 QuickTime ImageDesc Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    CompressorID                         N
-     10    VendorID                             N
-     16    SourceImageWidth                     N
-     17    SourceImageHeight                    N
-     18    XResolution                          N
-     20    YResolution                          N
-     25    CompressorName                       N
-     41    BitDepth                             N
+  ID/Index Tag Name                             Writable
+  -------- --------                             --------
+      2    CompressorID                         no
+     10    VendorID                             no
+     16    SourceImageWidth                     no
+     17    SourceImageHeight                    no
+     18    XResolution                          no
+     20    YResolution                          no
+     25    CompressorName                       no
+     41    BitDepth                             no
+  'CDI1'   CDI1                                 Canon CDI1
+  'CMP1'   CMP1                                 Canon CMP1
+  'JPEG'   JPEGInfo?                            no
+  'avcC'   AVCConfiguration?                    no
+  'btrt'   BitrateInfo                          QuickTime Bitrate
+  'clap'   CleanAperture                        QuickTime CleanAperture
+  'colr'   ColorRepresentation                  no
+  'fiel'   VideoFieldOrder                      no
+  'gama'   Gamma                                no
+  'pasp'   PixelAspectRatio                     no
+  'st3d'   Stereoscopic3D                       no
+  'sv3d'   SphericalVideo                       QuickTime sv3d
+
+=head3 QuickTime Bitrate Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    BufferSize                           no
+      1    MaxBitrate                           no
+      2    AverageBitrate                       no
+
+=head3 QuickTime CleanAperture Tags
+
+  Index8   Tag Name                             Writable
+  ------   --------                             --------
+      0    CleanApertureWidth                   no
+      1    CleanApertureHeight                  no
+      2    CleanApertureOffsetX                 no
+      3    CleanApertureOffsetY                 no
+
+=head3 QuickTime sv3d Tags
+
+Tags defined by the Spherical Video V2 specification.  See
+L<https://github.com/google/spatial-media/blob/master/docs/spherical-video-v2-rfc.md>
+for the specification.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'proj'   Projection                           QuickTime proj
+  'svhd'   MetadataSource                       no
+
+=head3 QuickTime proj Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'cbmp'   CubemapProj                          QuickTime cbmp
+  'equi'   EquirectangularProj                  QuickTime equi
+  'prhd'   ProjectionHeader                     QuickTime prhd
+
+=head3 QuickTime cbmp Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    Layout                               no
+      2    Padding                              no
+
+=head3 QuickTime equi Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    ProjectionBoundsTop                  no
+      2    ProjectionBoundsBottom               no
+      3    ProjectionBoundsLeft                 no
+      4    ProjectionBoundsRight                no
+
+=head3 QuickTime prhd Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    PoseYawDegrees                       no
+      2    PosePitchDegrees                     no
+      3    PoseRollDegrees                      no
 
 =head3 QuickTime HintSampleDesc Tags
@@ -13686,13 +26773,30 @@
 MP4 hint sample description.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    HintFormat                           N
+  ID/Index Tag Name                             Writable
+  -------- --------                             --------
+      4    HintFormat                           no
+     16    HintTrackVersion                     no
+     20    MaxPacketSize                        no
+  'snro'   SequenceNumberRandomOffset           no
+  'tims'   RTPTimeScale                         no
+  'tsro'   TimestampRandomOffset                no
+
+=head3 QuickTime MetaSampleDesc Tags
+
+MP4 metadata sample description.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0004   MetaFormat                           no
+  'btrt'   BitrateInfo                          QuickTime Bitrate
+  'keys'   Keys                                 QuickTime Keys
 
 =head3 QuickTime OtherSampleDesc Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    OtherFormat                          N
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0004   OtherFormat                          no
+  'ftab'   FontTable                            no
+  'name'   OtherName                            no
 
 =head3 QuickTime VideoHeader Tags
@@ -13700,23 +26804,31 @@
 MP4 video media header.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    GraphicsMode                         N
-      3    OpColor                              N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      2    GraphicsMode                         no
+      3    OpColor                              no
+
+=head3 QuickTime TrackAperture Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'clef'   CleanApertureDimensions              no
+  'enof'   EncodedPixelsDimensions              no
+  'prof'   ProductionApertureDimensions         no
 
 =head3 QuickTime TrackHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    TrackHeaderVersion                   N
-      1    TrackCreateDate                      N
-      2    TrackModifyDate                      N
-      3    TrackID                              N
-      5    TrackDuration                        N
-      8    TrackLayer                           N
-      9    TrackVolume                          N
-     10    MatrixStructure                      N
-     19    ImageWidth                           N
-     20    ImageHeight                          N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    TrackHeaderVersion                   no
+      1    TrackCreateDate                      int32u
+      2    TrackModifyDate                      int32u
+      3    TrackID                              no
+      5    TrackDuration                        no
+      8    TrackLayer                           no
+      9    TrackVolume                          no
+     10    MatrixStructure                      fixed32s[9]!
+     19    ImageWidth                           no
+     20    ImageHeight                          no
 
 =head3 QuickTime TrackRef Tags
